# nose2.loader

class nose2.loader.PluggableTestLoader(session)

  Test loader that defers all loading to plugins

  Parameters:

    session – Test run session.

  suiteClass

    Suite class to use. Default: `unittest.TestSuite`.

  discover(start_dir=None, pattern=None)

    Compatibility shim for `load_tests` protocol.

  failedImport(name)

    Make test case representing a failed import.

  failedLoadTests(name, exception)

    Make test case representing a failed test load.

  loadTestsFromModule(module)

    Load tests from module.

    Fires `loadTestsFromModule()` hook.

  loadTestsFromName(name, module=None)

    Load tests from test name.

    Fires `loadTestsFromName()` hook.

  loadTestsFromNames(testNames, module=None)

    Load tests from test names.

    Fires `loadTestsFromNames()` hook.

  sortTestMethodsUsing(name)

    Sort key for test case test methods.

  suiteClass

    alias of `TestSuite`